> ## Documentation Index
> Fetch the complete documentation index at: https://loyalty-interchange.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Check service health



## OpenAPI

````yaml /api-reference/openapi.yaml get /health
openapi: 3.1.2
info:
  title: Loyalty Interchange Protocol
  version: 0.1.0
  description: Vendor-neutral loyalty transaction API with the foodservice/1.0 profile.
  license:
    name: Apache-2.0
    identifier: Apache-2.0
servers:
  - url: https://loyalty.example.com/lip/v1
security:
  - bearerAuth: []
tags:
  - name: Discovery
  - name: Programs
  - name: Accounts
  - name: Ledger
  - name: Members
  - name: Orders
  - name: Accruals
  - name: Redemptions
  - name: Issued Rewards
paths:
  /health:
    get:
      tags:
        - Discovery
      summary: Check service health
      operationId: getHealth
      responses:
        '200':
          description: Service is healthy
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthDocument'
      security: []
      servers:
        - url: https://loyalty.example.com
components:
  schemas:
    HealthDocument:
      title: HealthDocument
      additionalProperties: false
      type: object
      required:
        - status
        - protocol_version
        - profile
      properties:
        status:
          const: ok
          type: string
        protocol_version:
          const: '1.0'
          type: string
        profile:
          const: foodservice/1.0
          type: string
        write_frozen:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````